Show / Hide Table of Contents

# Interface ICommandContext

Represents a context of a command. This may include the client, guild, channel, user, and message.

###### Namespace: Discord.Commands

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public interface ICommandContext

### Properties

| Improve this Doc View Source

#### Channel

Gets the IMessageChannel that the command is executed in.

##### Declaration

    IMessageChannel Channel { get; }

##### Property Value

Type | Description
--- | ---
IMessageChannel |

| Improve this Doc View Source

#### Client

Gets the IDiscordClient that the command is executed with.

##### Declaration

    IDiscordClient Client { get; }

##### Property Value

Type | Description
--- | ---
IDiscordClient |

| Improve this Doc View Source

#### Guild

Gets the IGuild that the command is executed in.

##### Declaration

    IGuild Guild { get; }

##### Property Value

Type | Description
--- | ---
IGuild |

| Improve this Doc View Source

#### Message

Gets the IUserMessage that the command is interpreted from.

##### Declaration

    IUserMessage Message { get; }

##### Property Value

Type | Description
--- | ---
IUserMessage |

| Improve this Doc View Source

#### User

Gets the IUser who executed the command.

##### Declaration

    IUser User { get; }

##### Property Value

Type | Description
--- | ---
IUser |